Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlDrawSceneVisitor Class Reference

`#include <GlDrawSceneVisitor.h>`

Inheritance diagram for tlp::GlDrawSceneVisitor:
[legend]
Collaboration diagram for tlp::GlDrawSceneVisitor:
[legend]

List of all members.

## Public Member Functions

- GlDrawSceneVisitor (TLP_HASH_MAP< unsigned int, float > *lod, GlGraphInputData *inputData)
- virtual void visit (GlSimpleEntity *entity)
- virtual void visit (GlComplexeEntity *entity)
- virtual void visit (GlLayout *layout)

## Constructor & Destructor Documentation

tlp::GlDrawSceneVisitor::GlDrawSceneVisitor | ( | TLP_HASH_MAP< unsigned int, float > * | lod,
|  | GlGraphInputData * | inputData
| ) |  | `[inline]`

## Member Function Documentation

virtual void tlp::GlDrawSceneVisitor::visit | ( | GlSimpleEntity * | entity | ) | `[virtual]`

Reimplemented from tlp::GlSceneVisitor.

virtual void tlp::GlDrawSceneVisitor::visit | ( | GlLayout * | layout | ) | `[virtual]`

virtual void tlp::GlDrawSceneVisitor::visit | ( | GlComplexeEntity * | entity | ) | `[virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2012